Light Logo
Search

Search users

Retrieves a list of user's that match the search query.

GET
/search/users
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 50
qQ

The search query.

Length1 <= length <= 50

Response Body

curl -X GET "https://api.wrift.ai/v1/search/users?cursor=string&page_size=25&q=string"
{
  "items": [
    {
      "account_id": "8f2b1e4a-9c3d-4f6e-b1a2-7d8e9f0a1b2c",
      "name": "jane-doe",
      "avatar_url": "https://wrift.ai/avatars/jane-doe.png",
      "display_name": "string",
      "bio": "string",
      "location": "string",
      "company": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiI0OTdmNmVjYS02Mjc2LTQ5OTMtYmZlYi01M2NiYmJiYTZmMDgiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNi0xMlQxNDoyMjozMVoifQ==",
  "previous_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiJmZmZmOTk5OS05OTk5LTk5OTktOTk5OS1mZmZmZmZmZmZmZmYiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNS0wMVQwOTowMDowMFoifQ=="
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}